<template>
  <v-row class="mb-10">
    <v-col cols="12" class="pb-0">
      <p>
        You can select from the list of circle type, or just add your own by
        writing it down
      </p>
    </v-col>
    <v-col cols="12" class="pt-0">
      <v-row v-for="(type, index) in circleTypes" :key="index" align="baseline">
        <v-col md="11">
          <circle-types-select
            :multiple="false"
            :add-circle-type="type => updateType(index, type)"
          />
        </v-col>
        <v-col md="1">
          <v-icon @click="circleTypes.splice(index, 1)"
            >mdi-minus-circle</v-icon
          >
        </v-col>
      </v-row>
    </v-col>
    <v-col cols="12">
      <v-btn color="success" @click="add()"
        ><v-icon>mdi-plus</v-icon>Add Circle Type</v-btn
      >
    </v-col>
  </v-row>
</template>

<script>
import CircleTypesSelect from '@/components/Shared/UI/CircleTypesSelect'

export default {
  name: 'LicenseAndCredentials',
  components: {
    CircleTypesSelect
  },
  props: {
    next: { type: Function },
    update: { type: Function }
  },
  data: () => ({
    circleTypes: []
  }),
  computed: {},
  methods: {
    add() {
      if (
        this.circleTypes.length === 0 ||
        this.circleTypes[this.circleTypes.length - 1] !== null
      ) {
        this.circleTypes.push(null)
      }
    },
    updateType(index, type) {
      let exists = false
      this.circleTypes.forEach(tp => {
        if (tp === type) {
          exists = true
        }
      })
      if (!exists) {
        const types = this.circleTypes
        types[index] = type
        this.circleTypes = types
        this.$emit('update', 'circleTypes', types)
      }
    }
  }
}
</script>

<style lang="scss">
.skip {
  text-align: center;
  color: #428a16;
}
</style>
